Skip to main content
`Ctrl`+`K`

# TaoTermIsHessianDefined

Whether a Hessian operation is defined for this `TaoTerm`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermIsHessianDefined(TaoTerm term, PetscBool *is_defined)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- is_defined - whether the Hessian is defined

## Note

This function strictly checks whether a dedicated Hessian operation is defined. It does not check whether the Hessian could be computed via finite differences. `TaoTermComputeHessian()` may still succeed even if this function returns `PETSC_FALSE`, if finite-difference Hessian computation has been enabled.

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermComputeHessian()`, `TaoTermShellSetHessian()`, `TaoTermIsObjectiveDefined()`, `TaoTermIsGradientDefined()`, `TaoTermIsObjectiveAndGradientDefined()`

## Level

developer

## Location

src/tao/term/interface/taoterm.c

## Implementations

TaoTermIsHessianDefined_Callbacks() in src/tao/term/impls/callbacks/taotermcallbacks.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages